export default {
    methods: {
        deepMerge(obj1, obj2) {
            const merged = Object.assign(obj1)
            for (const key in obj2) {
                if (obj2.hasOwnProperty(key)) {
                if (obj1[key] && typeof obj1[key] === 'object' && typeof obj2[key] === 'object') {
                    merged[key] = this.deepMerge(obj1[key], obj2[key])
                } else {
                    merged[key] = obj2[key]
                }
                }
            }
            return merged
        }
    }
}
